/* tiff.c - load TIFF image from file
 * 
 *  Raster graphics library
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *  
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef TIFF

#include <X11/Xlib.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <tiff.h>
#include <tiffio.h>

#include "wraster.h"

/*
 * Format of file specification for TIFF files
 * 
 * <tiff image>::= <path>":"<index> 
 * 		  | <path>
 * <path>::=<string>
 * <index>::=<integer>
 */
RImage*
RLoadTIFF(RContext *context, char *file)
{
    int index;
    char *tmp;
    RImage *image;
    
    tmp=strrchr(file, ':');
    if (!tmp) {
	index = 0;
    } else {
	tmp++;
	if (sscanf(tmp, "%i", &index)!=1 || index<0) {
	    sprintf(RErrorString, "invalid image index %i", index);
	    return NULL;
	}
	tmp--;
	*tmp = 0;
    }

    
    
    return image;
}

#endif /* TIFF */
